%global momorel 2
Name: libisofs
Summary: libisofs
Version: 0.6.34
Release: %{momorel}m%{?dist}
License: GPLv2
Group: User Interface/Desktops
Source0: http://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
NoSource: 0
URL: http://libburnia-project.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: libburn-devel >= 0.8.4

%description
libisofs is a library to create an ISO-9660 filesystem, and supports
extensions like RockRidge or Joliet. It is also a full featured
ISO-9660 editor, allowing you to modify an ISO image or multisession
disc, including file addition and removal, change of file names and
attributes, etc

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --program-prefix="" \
  --disable-static \
  --enable-libacl \
  --enable-xattr \
  --enable-zlib
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README
%{_libdir}/%{name}.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr (-, root, root)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libisofs-1.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.34-2m)
- full rebuild for mo7 release

* Thu Jul  1 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.34-1m)
- update to 0.6.34

* Sun Jun 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.32-1m)
- update to 0.6.32

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.18-3m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.18-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.18-1m)
- update to 0.6.18

* Wed Feb 18 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.12-2m)
- add BuildPrereq:

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.12-1m)
- initial build
